Package org.eclipse.emf.cdo.common.id

## Interface CDOIDProvider

- All Known Subinterfaces:
    `InternalCDOTransaction`, `InternalCDOView`, `InternalCDOXATransaction.InternalCDOXACommitContext`, `InternalSession`

      public interface CDOIDProvider

  Provides the `IDs` of passed objects.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOIDProvider` | `NOOP` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOID` | `provideCDOID​(java.lang.Object idOrObject)` |

- - ### Field Detail

    - #### NOOP

          static final CDOIDProvider NOOP

      Since:
        3.0

  - ### Method Detail

    - #### provideCDOID

          CDOID provideCDOID​(java.lang.Object idOrObject)